//
// Tailored tools for unit testing.
//
// Author : Benoit Hamelin
// 2003 Universit de Sherbrooke
//


function []=assertFlOpCount(fc, value, bound, opCount)
	global FLOPCTR_OPCOUNTS FLOPCTR_ADDS FLOPCTR_MULTS FLOPCTR_INVS FLOPCTR_FETCHES FLOPCTR_STORES FLOPCTR_CPLXPRIMS;
	assert(and(abs(FlOpCtr_GetValue(fc) - value) < bound))
	assert(and(FLOPCTR_OPCOUNTS == opCount))
	FLOPCTR_Reset()
endfunction


function []=assertBoolFlOpCount(attempt, value, opCount)
	global FLOPCTR_OPCOUNTS FLOPCTR_ADDS FLOPCTR_MULTS FLOPCTR_INVS FLOPCTR_FETCHES FLOPCTR_STORES FLOPCTR_CPLXPRIMS;
	assert(and(attempt == value))
	assert(and(FLOPCTR_OPCOUNTS == opCount))
	FLOPCTR_Reset()
endfunction


// End of module.
