//
// Forward visitor that computes automatic Taylor coefficients of some real function (not multi-dimensional).
//
// Author : Benoit Hamelin
// 2004 Universit de Sherbrooke
//


// Fields of a Taylor development visitor :
//
// * Order of development.
// * Anchor point of development.
// * List of coefficients calculated at each node.
//
global SCIAD_TAYLORDEV_FIELDS;
SCIAD_TAYLORDEV_FIELDS = [SCIAD_VISITOR_FIELDS, "coeffList", "order", "anchor"];


getf("TaylorDev.sci");


// End of script.

