function [fvec,J]=pen1(n,m,x,option)
fvec=[];J=[];
// Penalty I  function
// ------------------- 
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// function [fvec,J]=pen1(n,m,x,option)
// Dimensions -> n=variable, m=n+1
// Problem no. 23             
// Standard starting point -> x=(s(j)) where 
//                            s(j)=j 
// Minima -> f=2.24997...10^(-5)  if n=4
//           f=7.08765...10^(-5)  if n=10            
//                                     
// 11/21/94 by Madhu Lamba  
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
J = zeros(m,n);
for i = 1:n
   
  if option==1|option==3 then
    fvec(1,i) = sqrt(0.00001)*(x(i)-1);
  end
   
  if option==2|option==3 then
    J(i,i) = sqrt(0.00001);
  end
end
 
if option==1|option==3 then
  %sum = 0;
  for j = 1:n
    %sum = %sum+x(j)'*x(j);
  end
   
  fvec(1,n+1) = %sum-1/4
end
 
if option==2|option==3 then
  for j = 1:n
    J(n+1,j) = 2*x(j);
  end
end
 
if option==1|option==3 then
  fvec = fvec';
end
 
// 
 
