//
// Definition of FlOpCtr type, used through operator overloading.
//
// Author : Benoit Hamelin
// 2003 Universit de Sherbrooke
//


global FLOPCTR_FIELDS;
FLOPCTR_FIELDS = ["FLOPCTR", "value"];

global FLOPCTR_OPCOUNTS FLOPCTR_ADDS FLOPCTR_MULTS FLOPCTR_INVS FLOPCTR_FETCHES FLOPCTR_STORES FLOPCTR_CPLXPRIMS;
FLOPCTR_OPCOUNTS = [0, ...  // Adds/subs
                        0, ...  // Mults
						0, ...  // Inversions (division == inversion + mult)
						0, ...  // Fetches
						0, ...  // Stores
						0  ...  // Complex primitives (exps, logs, weird exponentials, trigo, etc.)
						];
FLOPCTR_ADDS = 1;
FLOPCTR_MULTS = 2;
FLOPCTR_INVS = 3;
FLOPCTR_FETCHES = 4;
FLOPCTR_STORES = 5;
FLOPCTR_CPLXPRIMS = 6;


getf("Type.sci");


// End of script.
