//
// Tests on transposition.
//
// Author : Benoit Hamelin
// 2003 Universit de Sherbrooke.
//


assertFlOpCount(flopctr(5)', 5, %eps, [0,0,0,1,1,0]);
assertFlOpCount(flopctr([1;4;5;8])', [1,4,5,8], %eps, [0,0,0,4,4,0]);
assertFlOpCount(flopctr([2,3,9])', [2;3;9], %eps, [0,0,0,3,3,0]);
assertFlOpCount(flopctr([1,4,6,9 ; 2,3,1,0])', [1,2 ; 4,3 ; 6,1 ; 9,0], %eps, [0,0,0,8,8,0]);


printf("    Transposition : all unit tests passed.\n");


// End of script.
