//
// Forward visitor that substitutes sub-expression stubs in a derivative expression to replace them with actual sub-expressions of
// the orignal expression.
//
// Author : Benoit Hamelin
// 2004 Universit de Sherbrooke
//


// Fields of the substituter visitor :
//
// * The original expression from which sub-expressions will be extracted.
// * A dictionary of the sub-expressions already gathered.
//
global SCIAD_STUBSUBST_FIELDS;
SCIAD_STUBSUBST_FIELDS = [SCIAD_VISITOR_FIELDS, "origExpr", "dict"];


getf("StubSubst.sci");


// End of module.
